Bug 621477 - [abrt] crash in telepathy-butterfly-0.5.12-1.fc13: command.py:230:__parse_command:ValueError: invalid literal for int() with base 10: 'HTML'
Summary: [abrt] crash in telepathy-butterfly-0.5.12-1.fc13: command.py:230:__parse_com...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:db644323
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-05 08:34 UTC by Anders Nielsen
Modified: 2011-06-28 14:57 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-28 14:57:43 UTC


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2010-08-05 08:34 UTC, Anders Nielsen
no flags Details

Description Anders Nielsen 2010-08-05 08:34:08 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: telepathy-butterfly-0.5.12-1.fc13
reason: command.py:230:__parse_command:ValueError: invalid literal for int() with base 10: 'HTML'
release: Fedora release 13 (Goddard)

backtrace
-----
command.py:230:__parse_command:ValueError: invalid literal for int() with base 10: 'HTML'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/transport.py", line 457, in __on_received
    commands = self.__extract_command(commands)
  File "/usr/lib/python2.6/site-packages/papyon/transport.py", line 480, in __extract_command
    cmd.parse(first.strip())
  File "/usr/lib/python2.6/site-packages/papyon/msnp/command.py", line 179, in parse
    self.__parse_command(lines[0])
  File "/usr/lib/python2.6/site-packages/papyon/msnp/command.py", line 230, in __parse_command
    self.transaction_id = int(words[pos])
ValueError: invalid literal for int() with base 10: 'HTML'

Local variables in innermost frame:
self: <papyon.msnp.command.Command object at 0x1a31610>
buf: '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">'
pos: 1
words: ['<!DOCTYPE', 'HTML', 'PUBLIC', '"-//W3C//DTD', 'HTML', '4.0', 'Transitional//EN"', '"http://www.w3.org/TR/html4/loose.dtd">']

Comment 1 Anders Nielsen 2010-08-05 08:34:11 UTC
Created attachment 436779 [details]
File: backtrace

Comment 2 Rodrigo Vogt 2010-08-10 17:32:23 UTC
same happens in my system 

Fedora 13 x86

Comment 3 Robert Swain 2010-10-19 12:07:57 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Connect to a wireless network that requires some web authentication on the router before the connection is usable.
2. Don't authenticate.
3. Run Empathy.

Comment
-----
I encountered this issue after resuming from a suspended state and having the wireless connection come back up (in a public library) but having not yet put in my access credentials. This is the reason for the 1.1.1.1 address in the backtrace.

Comment 4 Rob Whalley 2010-10-23 17:48:46 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crash occurs when trying to connect to MSN account
2.
3.

Comment 5 Joost 2010-12-01 01:41:33 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start Empathy
2. Lose internet for couple seconds
3. Crash

Comment 6 xlu 2011-02-05 12:05:34 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start application
2.
3.

Comment 7 Marcel 2011-04-26 14:12:41 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. while changing msn to gateway.messenger.hotmail.com
2.
3.

Comment 8 Bug Zapper 2011-06-01 12:05:25 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-28 14:57:43 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.